//
// Copyright (C) 1999-2004 WideStudio Development Team
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// WIDESTUDIO DEVELOPMENT TEAM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
// Except as contained in this notice, the name of WideStudio Development Team
// shall not be used in advertising or otherwise to promote the sale, use or
// other dealings in this Software without prior written authorization from
// WideStudio Development Team.

#ifndef WSRDEF_H
#define WSRDEF_H

#include <WScom.h>

#ifndef WS_EMBED

// list disp type
extern WSDLEX32 char** _WSRtype();
#define  WSRtype _WSRtype()
extern WSDLEX32 char** _WSRtypeD();
#define  WSRtypeD _WSRtypeD()


//blink types
extern WSDLEX32 char** _WSRblinkType();
#define  WSRblinkType _WSRblinkType()
extern WSDLEX32 char** _WSRblinkTypeD();
#define  WSRblinkTypeD _WSRblinkTypeD()

//shadow types
extern WSDLEX32 char** _WSRshadowType();
#define  WSRshadowType _WSRshadowType()
extern WSDLEX32 char** _WSRshadowTypeD();
#define  WSRshadowTypeD _WSRshadowTypeD()

//shadow types2
extern WSDLEX32 char** _WSRshadowType2();
#define  WSRshadowType2 _WSRshadowType2()
extern WSDLEX32 char** _WSRshadowType2D();
#define  WSRshadowType2D _WSRshadowType2D()

//
extern WSDLEX32 char** _WSRpixmapStyle();
#define  WSRpixmapStyle _WSRpixmapStyle()
extern WSDLEX32 char** _WSRpixmapStyleD();
#define  WSRpixmapStyleD _WSRpixmapStyleD()

//
extern WSDLEX32 char** _WSRindicatorType();
#define  WSRindicatorType _WSRindicatorType()
extern WSDLEX32 char** _WSRindicatorTypeD();
#define  WSRindicatorTypeD _WSRindicatorTypeD()

//Bool
extern WSDLEX32 char** _WSRbool();   //True,False
#define  WSRbool _WSRbool()
extern WSDLEX32 char** _WSRboolD();
#define  WSRboolD _WSRboolD()

//Boolean1
extern WSDLEX32 char** _WSRbool1();   //ok,no
#define  WSRbool1 _WSRbool1()
extern WSDLEX32 char** _WSRbool1D();
#define  WSRbool1D _WSRbool1D()

//Boolean2
extern WSDLEX32 char** _WSRbool2();   //vis,
#define  WSRbool2 _WSRbool2()
extern WSDLEX32 char** _WSRbool2D();
#define  WSRbool2D _WSRbool2D()

//Boolean3
extern WSDLEX32 char** _WSRbool3();   //on,off
#define  WSRbool3 _WSRbool3()
extern WSDLEX32 char** _WSRbool3D();
#define  WSRbool3D _WSRbool3D()

//Boolean4
extern WSDLEX32 char** _WSRbool4();   //exist
#define  WSRbool4 _WSRbool4()
extern WSDLEX32 char** _WSRbool4D();
#define  WSRbool4D _WSRbool4D()

extern WSDLEX32 char** _WSRbool5();   //vis
#define  WSRbool5 _WSRbool5()
extern WSDLEX32 char** _WSRbool5D();
#define  WSRbool5D _WSRbool5D()

extern WSDLEX32 char** _WSRbool6();  //effect,noeffect
#define  WSRbool6 _WSRbool6()
extern WSDLEX32 char** _WSRbool6D();
#define  WSRbool6D _WSRbool6D()

extern WSDLEX32 char** _WSRalignmentV();
#define  WSRalignmentV _WSRalignmentV()
extern WSDLEX32 char** _WSRalignmentVD();
#define  WSRalignmentVD _WSRalignmentVD()

extern WSDLEX32 char** _WSRalignmentV2();
#define  WSRalignmentV2 _WSRalignmentV2()
extern WSDLEX32 char** _WSRalignmentV2D();
#define  WSRalignmentV2D _WSRalignmentV2D()

extern WSDLEX32 char** _WSRalignmentH();
#define  WSRalignmentH _WSRalignmentH()
extern WSDLEX32 char** _WSRalignmentHD();
#define  WSRalignmentHD _WSRalignmentHD()

extern WSDLEX32 char** _WSRalignmentH2();
#define  WSRalignmentH2 _WSRalignmentH2()
extern WSDLEX32 char** _WSRalignmentH2D();
#define  WSRalignmentH2D _WSRalignmentH2D()

extern WSDLEX32 char** _WSRorientation();
#define  WSRorientation _WSRorientation()
extern WSDLEX32 char** _WSRorientationD();
#define  WSRorientationD _WSRorientationD()

extern WSDLEX32 char** _WSRlineType();
#define  WSRlineType _WSRlineType()
extern WSDLEX32 char** _WSRlineTypeD();
#define  WSRlineTypeD _WSRlineTypeD()

extern WSDLEX32 char** _WSRhatchPattern();
#define  WSRhatchPattern _WSRhatchPattern()
extern WSDLEX32 char** _WSRhatchPatternD();
#define  WSRhatchPatternD _WSRhatchPatternD()

extern WSDLEX32 char** _WSRarcType();
#define  WSRarcType _WSRarcType()
extern WSDLEX32 char** _WSRarcTypeD();
#define  WSRarcTypeD _WSRarcTypeD()

extern WSDLEX32 char** _WSRrateType();
#define  WSRrateType _WSRrateType()
extern WSDLEX32 char** _WSRrateTypeD();
#define  WSRrateTypeD _WSRrateTypeD()

extern WSDLEX32 char** _WSRdateFormat();
#define  WSRdateFormat _WSRdateFormat()
extern WSDLEX32 char** _WSRdateFormatD();
#define  WSRdateFormatD _WSRdateFormatD()

extern WSDLEX32 char** _WSRweekFormat();
#define  WSRweekFormat _WSRweekFormat()
extern WSDLEX32 char** _WSRweekFormatD();
#define  WSRweekFormatD _WSRweekFormatD()

extern WSDLEX32 char** _WSRclockFormat();
#define  WSRclockFormat _WSRclockFormat()
extern WSDLEX32 char** _WSRclockFormatD();
#define  WSRclockFormatD _WSRclockFormatD()

extern WSDLEX32 char** _WSRtitleBar();
#define  WSRtitleBar _WSRtitleBar()
extern WSDLEX32 char** _WSRtitleBarD();
#define  WSRtitleBarD _WSRtitleBarD()

extern WSDLEX32 char** _WSRtitleBar2();
#define  WSRtitleBar2 _WSRtitleBar2()
extern WSDLEX32 char** _WSRtitleBar2D();
#define  WSRtitleBar2D _WSRtitleBar2D()

extern WSDLEX32 char** _WSRarrowDirection();
#define  WSRarrowDirection _WSRarrowDirection()
extern WSDLEX32 char** _WSRarrowDirectionD();
#define  WSRarrowDirectionD _WSRarrowDirectionD()

extern WSDLEX32 char** _WSRgradation();
#define  WSRgradation _WSRgradation()
extern WSDLEX32 char** _WSRgradationD();
#define  WSRgradationD _WSRgradationD()

extern WSDLEX32 char** _WSRdataSource();
#define  WSRdataSource _WSRdataSource()
extern WSDLEX32 char** _WSRdataSourceD();
#define  WSRdataSourceD _WSRdataSourceD()

extern WSDLEX32 char** _WSRprformat();
#define  WSRprformat _WSRprformat()
extern WSDLEX32 char** _WSRprformatD();
#define  WSRprformatD _WSRprformatD()

extern WSDLEX32 char** _WSRprOut();
#define  WSRprOut _WSRprOut()
extern WSDLEX32 char** _WSRprOutD();
#define  WSRprOutD _WSRprOutD()

extern WSDLEX32 char** _WSRorientation2();
#define  WSRorientation2 _WSRorientation2()
extern WSDLEX32 char** _WSRorientation2D();
#define  WSRorientation2D _WSRorientation2D()

extern WSDLEX32 char** _WSRtypedb();
#define  WSRtypedb _WSRtypedb()
extern WSDLEX32 char** _WSRtypedbD();
#define  WSRtypedbD _WSRtypedbD()



#else //WS_EMBED



extern WSDLEX32 char** WSRempty();

#define  WSRtype  WSRempty()
#define  WSRtypeD WSRempty()

#define  WSRblinkType  WSRempty()
#define  WSRblinkTypeD WSRempty()

#define  WSRshadowType  WSRempty()
#define  WSRshadowTypeD WSRempty()

#define  WSRshadowType2  WSRempty()
#define  WSRshadowType2D WSRempty()

#define  WSRpixmapStyle WSRempty()
#define  WSRpixmapStyleD WSRempty()

#define  WSRindicatorType WSRempty()
#define  WSRindicatorTypeD WSRempty()

#define  WSRbool WSRempty()
#define  WSRboolD WSRempty()

#define  WSRbool1 WSRempty()
#define  WSRbool1D WSRempty()

#define  WSRbool2 WSRempty()
#define  WSRbool2D WSRempty()

#define  WSRbool3 WSRempty()
#define  WSRbool3D WSRempty()

#define  WSRbool4 WSRempty()
#define  WSRbool4D WSRempty()

#define  WSRbool5 WSRempty()
#define  WSRbool5D WSRempty()

#define  WSRbool6 WSRempty()
#define  WSRbool6D WSRempty()

#define  WSRalignmentV WSRempty()
#define  WSRalignmentVD WSRempty()

#define  WSRalignmentV2 WSRempty()
#define  WSRalignmentV2D WSRempty()

#define  WSRalignmentH WSRempty()
#define  WSRalignmentHD WSRempty()

#define  WSRalignmentH2 WSRempty()
#define  WSRalignmentH2D WSRempty()

#define  WSRorientation WSRempty()
#define  WSRorientationD WSRempty()

#define  WSRlineType WSRempty()
#define  WSRlineTypeD WSRempty()

#define  WSRhatchPattern WSRempty()
#define  WSRhatchPatternD WSRempty()

#define  WSRarcType WSRempty()
#define  WSRarcTypeD WSRempty()

#define  WSRrateType WSRempty()
#define  WSRrateTypeD WSRempty()

#define  WSRdateFormat WSRempty()
#define  WSRdateFormatD WSRempty()

#define  WSRweekFormat WSRempty()
#define  WSRweekFormatD WSRempty()

#define  WSRclockFormat WSRempty()
#define  WSRclockFormatD WSRempty()

#define  WSRtitleBar WSRempty()
#define  WSRtitleBarD WSRempty()

#define  WSRtitleBar2 WSRempty()
#define  WSRtitleBar2D WSRempty()

#define  WSRarrowDirection WSRempty()
#define  WSRarrowDirectionD WSRempty()

#define  WSRgradation WSRempty()
#define  WSRgradationD WSRempty()

#define  WSRdataSource WSRempty()
#define  WSRdataSourceD WSRempty()

#define  WSRprformat WSRempty()
#define  WSRprformatD WSRempty()

#define  WSRprOut WSRempty()
#define  WSRprOutD WSRempty()

#define  WSRorientation2 WSRempty()
#define  WSRorientation2D WSRempty()

#define  WSRtypedb WSRempty()
#define  WSRtypedbD WSRempty()


#endif //WS_EMBED

#endif //WSRDEF_H
